
Redmine - Defect #15414

Empty sidebar should not be displayed in project overview

2013-11-20 12:13 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.4.1   

Resolution: Fixed Affected version: 2.4.0

Description

If I disbable the time tracking module I think the right-hand side of the project overview should ne show an empty column (see

screenshot).

The grey area looks strange, especially with redmine alternate theme.

Related issues:

Related to Redmine - Defect #5958: Empty visible sidebar in Overview section Closed 2010-07-25

Associated revisions

Revision 12310 - 2013-11-20 20:17 - Jean-Philippe Lang

Fixed that the sidebar may be displayed empty (#15414).

Revision 12313 - 2013-11-23 09:24 - Jean-Philippe Lang

Merged r12310 (#15414).

History

#1 - 2013-11-20 13:55 - Gurvan Le Dromaguet

If I disable Time Tracking, I still have content: "Issues", "My Custom Queries", "Custom Queries". I don't know why you don't have at least "Issues".

Note there is a plugin that allows hiding right pane, see:

http://www.redmine.org/issues/5746

http://www.redmine.org/projects/redmine/wiki/PluginCollapse

I did not try to use it.

Note you can also produce a css to reduce it's width to the minimum, I reduced it because it was too large for me:

in "public/themes/<mytheme>/stylesheets/application.css, add:

/* Change sidebar width, too large by default */

#sidebar{ float: right; width: 12%; position: relative; z-index: 9; padding: 0; margin: 0;}

I don't think this is really a defect, because this corresponds to quite empty Redmine setup ...

#2 - 2013-11-20 14:48 - Anonymous

Gurvan Le Dromaguet wrote:

If I disable Time Tracking, I still have content: "Issues", "My Custom Queries", "Custom Queries". I don't know why you don't have at least

"Issues".

 I updated to redmine 2.4 and it looks like this. I do not use any plugin or something like that.

I don't think this is really a defect, because this corresponds to quite empty Redmine setup ...

 It is the standard redmine setup.

#3 - 2013-11-20 15:30 - Gurvan Le Dromaguet

You're right, sorry, what I say was for the issues page.

#4 - 2013-11-20 19:01 - Anonymous

Gurvan Le Dromaguet wrote:
http://www.redmine.org/issues/5746
http://www.redmine.org/projects/redmine/wiki/PluginCollapse


You're right, sorry, what I say was for the issues page.

 Ahh, okay. I meant the project overview page. :)

#5 - 2013-11-20 20:18 - Jean-Philippe Lang

- Subject changed from Empty column in project overview to Empty sidebar should not be displayed in project overview

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.1

- Resolution set to Fixed

Fixed in r12310.

#6 - 2013-11-20 21:25 - Mischa The Evil

- Related to Defect #5958: Empty visible sidebar in Overview section added

#7 - 2013-11-23 09:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
